Name:             klatexformula
Version:          3.2.3
Release:          6%{?dist}
Summary:          Application for easy image creating from a LaTeX equation
Group:            Applications/Publishing
License:          GPLv2+
URL:              http://klatexformula.sourceforge.net/
Source0:          http://downloads.sourceforge.net/klatexformula/%{name}-%{version}.tar.gz
# the buildsystem sets the proper 64/32-bit compile flags
Patch0:           %{name}-3.2.3-flags.patch
# fix build with gcc-4.7.0
Patch1:           klatexformula-3.2.3-gcc-4.7.0.patch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:    kdelibs-devel
BuildRequires:    desktop-file-utils
BuildRequires:    help2man
Requires:         texlive-latex
Requires:         hicolor-icon-theme
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description
This application is especially designed for generating an image
(e.g. PNG) from a LaTeX equation, this using a nice GUI. Support
for Copy-Paste, Save as image/pdf/ps and drag-and-drop is included.
The program has two modes, shrinked and expanded mode. Shrinked
mode is straightforward, and expanded mode lets you to specify
a few options. You can use KLatexFormula in command-line mode
(eg. for scripts) by invoking klatexformula_cmdl executable.
Type klatexformula_cmdl --help for more information.

%package devel
Summary:          Development files for %{name}
Group:            Development/Libraries
Requires:         %{name} = %{version}-%{release}
Requires:         qt4-devel

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package ktexteditor-plugin
Summary:          KLatexFormula integration into KDE4's text editor
Group:            Applications/Publishing
Requires:         texlive-latex
Requires:         %{name} = %{version}-%{release}
%{?_kde4_version:Requires: kdelibs4%{?_isa} >= %{_kde4_version}}

%description ktexteditor-plugin
KLatexFormula integration into KDE4's text editor.

%package -n libklfbackend
Summary:          Library for integration KLatexFormula functionality
Group:            System Environment/Libraries
%{?_qt4_version:Requires: qt4%{?_isa} >= %{_qt4_version}}

%description -n libklfbackend
This package includes the library KLFBackend to integrate
KLatexFormula functionality into your programs.

%package -n libklfbackend-devel
Summary:          Development files for libklfbackend
Group:            Development/Libraries
Requires:         libklfbackend = %{version}-%{release}
Requires:         qt4-devel

%description -n libklfbackend-devel
Development files for the libklfbackend.

%prep
%setup -q
%patch0 -p1 -b .flags
%patch1 -p1 -b .gcc-4.7.0

%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} \
        -DCMAKE_SKIP_RPATH=ON \
        -DKLF_LIBKLFAPP_STATIC=OFF \
        -DKLF_LIBKLFBACKEND_STATIC=OFF \
        -DKLF_LIBKLFTOOLS_STATIC=OFF \
        -DKLF_INSTALL_SHARE_PIXMAPS_DIR="" \
        -DKLF_NO_CMU_FONT=ON \
        -DKLF_INSTALL_LIB_DIR=%{_libdir} \
        ..
popd

make %{?_smp_mflags} -C %{_target_platform}

%install
rm -rf %{buildroot}

make install DESTDIR=%{buildroot} -C %{_target_platform}


%check
desktop-file-validate %{buildroot}%{_datadir}/applications/%{name}.desktop

%clean
rm -rf %{buildroot}

%post
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
update-mime-database %{_datadir}/mime &> /dev/null || :
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%post -n libklfbackend -p /sbin/ldconfig

%postun -n libklfbackend -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_bindir}/%{name}
%{_bindir}/%{name}_cmdl
%{_libdir}/libklfapp.so.*
%{_libdir}/libklftools.so.*
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/apps/%{name}.png
%{_datadir}/mime/packages/klatexformula-mime.xml
%{_mandir}/man1/klatexformula.1*
%{_mandir}/man1/klatexformula_cmdl.1*

%files ktexteditor-plugin
%defattr(-,root,root,-)
%doc README
%{_kde4_libdir}/kde4/ktexteditor_klf.so
%{_kde4_appsdir}/ktexteditor_klf
%{_kde4_datadir}/kde4/services/ktexteditor_klf.desktop
%{_kde4_datadir}/kde4/services/ktexteditor_klf_config.desktop

%files devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/libklfapp.so
%{_libdir}/libklftools.so
%{_includedir}/klfapp
%{_includedir}/klftools

%files -n libklfbackend
%defattr(-,root,root,-)
%doc AUTHORS COPYING README
%{_libdir}/libklfbackend.so.*

%files -n libklfbackend-devel
%defattr(-,root,root,-)
%doc README
%{_libdir}/libklfbackend.so
%{_includedir}/klfbackend

%changelog
* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan  5 2012 Alexey Kurov <nucleo@fedoraproject.org> - 3.2.3-4
- fix build with gcc-4.7.0

* Tue Apr 26 2011 Dan Horák <dan[at]danny.cz> - 3.2.3-3
- the buildsystem sets the proper 64/32-bit compile flags (fixes build on s390)

* Wed Apr 13 2011 Alexey Kurov <nucleo@fedoraproject.org> - 3.2.3-2
- require qt4 version used at build time

* Wed Apr 13 2011 Alexey Kurov <nucleo@fedoraproject.org> - 3.2.3-1
- update to 3.2.3

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat Dec  4 2010 Alexey Kurov <nucleo@fedoraproject.org> - 3.2.2-1
- update to 3.2.2
- set KLF_NO_CMU_FONT for using system fonts by default
- BR: help2man

* Sun Oct 10 2010 Alexey Kurov <nucleo@fedoraproject.org> - 3.2.1-1
- update to 3.2.1

* Wed Sep 29 2010 Alexey Kurov <nucleo@fedoraproject.org> - 3.2.0-1
- update to 3.2.0
- added devel and ktexteditor-plugin subpackages

* Sun Nov 22 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.1.2-1
- update to 3.1.2

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.0.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Tue May  5 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.0.1-3
- build with shared libraries
- fixed license tag
- libklfbackend subpackage
- fix build with GCC 4.4

* Mon May  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.0.1-2
- changed Requires to texlive-latex
- added Requires hicolor-icon-theme
- removed license tag in devel subpackage
- added Provides -static in devel subpackage

* Mon May  4 2009 Alexey Kurov <nucleo@fedoraproject.org> - 3.0.1-1
- Initial RPM release
